%define section   free
%define forehead_version   1.0

Name:           forehead
Version:        %{forehead_version}.b4
Release:        1jpp
Epoch:          0
Summary:        forehead: Java(tm) ClassLoader Management Framework

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://forehead.sourceforge.net/
Source0:        forehead.tar.gz
Source1:        forehead_doc.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  junit >= 0:3.8.1

%description
forehead is a very small framework to assist in controlling 
the run-time ClassLoader hierarchy of Java applications.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Documentation for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.


%prep
%setup -q -n %{name}

%build
export CLASSPATH=$(build-classpath junit)
ant -Dbuild.sysclasspath=only test dist
rm -rf target/docs/*
(cd target/docs; gzip -dc %{SOURCE1} | tar -xf -)

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{name}-%{forehead_version}-beta-4.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
cp -pr target/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%post manual
rm -f %{_docdir}/%{name}
ln -s %{name}-%{version} %{_docdir}/%{name}


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}
%ghost %doc %{_docdir}/%{name}

%changelog
* Tue Jan 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.b4-1jpp
- First JPackage release
